org.apache.poi.hssf.record.chart

## Class SeriesRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.SeriesRecord

- All Implemented Interfaces:
    Duplicatable

      public final class SeriesRecord
      extends StandardRecord

  The series record describes the overall data for a series.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `BUBBLE_SERIES_TYPE_DATES`
    `static short` | `BUBBLE_SERIES_TYPE_NUMERIC`
    `static short` | `BUBBLE_SERIES_TYPE_SEQUENCE`
    `static short` | `BUBBLE_SERIES_TYPE_TEXT`
    `static short` | `CATEGORY_DATA_TYPE_DATES`
    `static short` | `CATEGORY_DATA_TYPE_NUMERIC`
    `static short` | `CATEGORY_DATA_TYPE_SEQUENCE`
    `static short` | `CATEGORY_DATA_TYPE_TEXT`
    `static short` | `sid`
    `static short` | `VALUES_DATA_TYPE_DATES`
    `static short` | `VALUES_DATA_TYPE_NUMERIC`
    `static short` | `VALUES_DATA_TYPE_SEQUENCE`
    `static short` | `VALUES_DATA_TYPE_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeriesRecord()`
    `SeriesRecord(RecordInputStream in)`
    `SeriesRecord(SeriesRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SeriesRecord` | `clone()` Deprecated.
    `SeriesRecord` | `copy()`
    `short` | `getBubbleSeriesType()` Get the bubble series type field for the Series record.
    `short` | `getCategoryDataType()` Get the category data type field for the Series record.
    `protected int` | `getDataSize()`
    `short` | `getNumBubbleValues()` Get the num bubble values field for the Series record.
    `short` | `getNumCategories()` Get the num categories field for the Series record.
    `short` | `getNumValues()` Get the num values field for the Series record.
    `short` | `getSid()` return the non static version of the id for this record.
    `short` | `getValuesDataType()` Get the values data type field for the Series record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setBubbleSeriesType(short field_5_bubbleSeriesType)` Set the bubble series type field for the Series record.
    `void` | `setCategoryDataType(short field_1_categoryDataType)` Set the category data type field for the Series record.
    `void` | `setNumBubbleValues(short field_6_numBubbleValues)` Set the num bubble values field for the Series record.
    `void` | `setNumCategories(short field_3_numCategories)` Set the num categories field for the Series record.
    `void` | `setNumValues(short field_4_numValues)` Set the num values field for the Series record.
    `void` | `setValuesDataType(short field_2_valuesDataType)` Set the values data type field for the Series record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### CATEGORY_DATA_TYPE_DATES

          public static final short CATEGORY_DATA_TYPE_DATES

      See Also:
        Constant Field Values

    - #### CATEGORY_DATA_TYPE_NUMERIC

          public static final short CATEGORY_DATA_TYPE_NUMERIC

      See Also:
        Constant Field Values

    - #### CATEGORY_DATA_TYPE_SEQUENCE

          public static final short CATEGORY_DATA_TYPE_SEQUENCE

      See Also:
        Constant Field Values

    - #### CATEGORY_DATA_TYPE_TEXT

          public static final short CATEGORY_DATA_TYPE_TEXT

      See Also:
        Constant Field Values

    - #### VALUES_DATA_TYPE_DATES

          public static final short VALUES_DATA_TYPE_DATES

      See Also:
        Constant Field Values

    - #### VALUES_DATA_TYPE_NUMERIC

          public static final short VALUES_DATA_TYPE_NUMERIC

      See Also:
        Constant Field Values

    - #### VALUES_DATA_TYPE_SEQUENCE

          public static final short VALUES_DATA_TYPE_SEQUENCE

      See Also:
        Constant Field Values

    - #### VALUES_DATA_TYPE_TEXT

          public static final short VALUES_DATA_TYPE_TEXT

      See Also:
        Constant Field Values

    - #### BUBBLE_SERIES_TYPE_DATES

          public static final short BUBBLE_SERIES_TYPE_DATES

      See Also:
        Constant Field Values

    - #### BUBBLE_SERIES_TYPE_NUMERIC

          public static final short BUBBLE_SERIES_TYPE_NUMERIC

      See Also:
        Constant Field Values

    - #### BUBBLE_SERIES_TYPE_SEQUENCE

          public static final short BUBBLE_SERIES_TYPE_SEQUENCE

      See Also:
        Constant Field Values

    - #### BUBBLE_SERIES_TYPE_TEXT

          public static final short BUBBLE_SERIES_TYPE_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeriesRecord

          public SeriesRecord()

    - #### SeriesRecord

          public SeriesRecord(SeriesRecord other)

    - #### SeriesRecord

          public SeriesRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public SeriesRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public SeriesRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getCategoryDataType

          public short getCategoryDataType()

      Get the category data type field for the Series record.
      Returns:
        One of CATEGORY_DATA_TYPE_DATES CATEGORY_DATA_TYPE_NUMERIC CATEGORY_DATA_TYPE_SEQUENCE CATEGORY_DATA_TYPE_TEXT

    - #### setCategoryDataType

          public void setCategoryDataType(short field_1_categoryDataType)

      Set the category data type field for the Series record.
      Parameters:
        `field_1_categoryDataType` - One of CATEGORY_DATA_TYPE_DATES CATEGORY_DATA_TYPE_NUMERIC CATEGORY_DATA_TYPE_SEQUENCE CATEGORY_DATA_TYPE_TEXT

    - #### getValuesDataType

          public short getValuesDataType()

      Get the values data type field for the Series record.
      Returns:
        One of VALUES_DATA_TYPE_DATES VALUES_DATA_TYPE_NUMERIC VALUES_DATA_TYPE_SEQUENCE VALUES_DATA_TYPE_TEXT

    - #### setValuesDataType

          public void setValuesDataType(short field_2_valuesDataType)

      Set the values data type field for the Series record.
      Parameters:
        `field_2_valuesDataType` - One of VALUES_DATA_TYPE_DATES VALUES_DATA_TYPE_NUMERIC VALUES_DATA_TYPE_SEQUENCE VALUES_DATA_TYPE_TEXT

    - #### getNumCategories

          public short getNumCategories()

      Get the num categories field for the Series record.

    - #### setNumCategories

          public void setNumCategories(short field_3_numCategories)

      Set the num categories field for the Series record.

    - #### getNumValues

          public short getNumValues()

      Get the num values field for the Series record.

    - #### setNumValues

          public void setNumValues(short field_4_numValues)

      Set the num values field for the Series record.

    - #### getBubbleSeriesType

          public short getBubbleSeriesType()

      Get the bubble series type field for the Series record.
      Returns:
        One of BUBBLE_SERIES_TYPE_DATES BUBBLE_SERIES_TYPE_NUMERIC BUBBLE_SERIES_TYPE_SEQUENCE BUBBLE_SERIES_TYPE_TEXT

    - #### setBubbleSeriesType

          public void setBubbleSeriesType(short field_5_bubbleSeriesType)

      Set the bubble series type field for the Series record.
      Parameters:
        `field_5_bubbleSeriesType` - One of BUBBLE_SERIES_TYPE_DATES BUBBLE_SERIES_TYPE_NUMERIC BUBBLE_SERIES_TYPE_SEQUENCE BUBBLE_SERIES_TYPE_TEXT

    - #### getNumBubbleValues

          public short getNumBubbleValues()

      Get the num bubble values field for the Series record.

    - #### setNumBubbleValues

          public void setNumBubbleValues(short field_6_numBubbleValues)

      Set the num bubble values field for the Series record.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.